Bug 34227 - No sound device installed in Citrix XenApp-Session on Acer N2110G
No sound device installed in Citrix XenApp-Session on Acer N2110G
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Hardware and device support
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Felix Botner
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-03 16:21 CET by Michel Smidt
Modified: 2014-06-12 09:20 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Smidt univentionstaff 2014-03-03 16:21:01 CET
Occured in a customer project: Ticket#: 2014021021003427

On a Acer Veriton N2110G the sounddevice is not recognized in the Citrix XenApp-Session by default. After starting manually pulseaudio on the thinclient the sounddevice is recognized.

The problem probably occurs due to the special hardware. 

root@thinclient06:~# aplay -l
**** Liste der Hardware-Geräte (PLAYBACK) ****
Karte 0: Generic [HD-Audio Generic], Gerät 3: HDMI 0 [HDMI 0]
  Sub-Geräte: 1/1
  Sub-Gerät #0: subdevice #0
Karte 1: SB [HDA ATI SB], Gerät 0: ALC269VC Analog [ALC269VC Analog]
  Sub-Geräte: 1/1
  Sub-Gerät #0: subdevice #0

root@thinclient06:~# apt-cache showpkg icaclient
Package: icaclient
Versions: 
12.1.0 (/var/lib/dpkg/status)
Comment 1 Moritz Muehlenhoff univentionstaff 2014-03-06 12:38:55 CET
Check with UCC 2.0 (which will have new drivers etc)
Comment 2 Moritz Muehlenhoff univentionstaff 2014-05-15 11:29:56 CEST
It's currently uncleae whether this thin client will be used at the customer, wait a bit.
Comment 3 Felix Botner univentionstaff 2014-05-21 17:10:00 CEST
OK, added 

+if is_ucr_true 'citrix/pulseaudio'; then
+    pulseaudio &
+fi

to the xenapp session script, sound works on Acer N2110G if 'citrix/pulseaudio=yes is set.
Comment 4 Erik Damrose univentionstaff 2014-05-22 16:31:23 CEST
Verified: If the UCRV is set, sound plays fine with the Acer thinclient.
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:07 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".